import { defineConfig } from 'vite'
import react from '@vitejs/plugin-react'
import { VitePWA } from "vite-plugin-pwa";

// https://vitejs.dev/config/
export default defineConfig({
  plugins: [react(), VitePWA({
    registerType: 'autoUpdate',
    workbox: {
      globPatterns: ['**/*.{js,css,html,ico,png,svg,numbers}', '**/protos']
    },
    manifest: {
      icons: [
        {
          src: "https://sheetjs.com/favico/favicon-196x196.png",
          sizes: "196x196",
          type: "image/png",
          purpose: "any"
        }
      ]
    }
  })],
  base: ""
})
